import socketserver
import threading

from nullth_event_http_server import My_http_server


class HTTP_starter(threading.Thread):
    blackboard = None

    def run(self):
        My_http_server.blackboard = self.blackboard
        print("listen on", My_http_server.PORT)
        server = socketserver.TCPServer(('127.0.0.1', My_http_server.PORT), My_http_server)
        server.serve_forever()
